Authorization: Bearer ********************{
"quote": {
"company_no": "string",
"company_taxno": "string",
"company_name": "string",
"company_country_id": "string",
"company_city_name": "string",
"sender_eori": "string",
"sender_name": "string",
"consignee_eori": "string",
"consignee_name": "string",
"saler_name": "string",
"lead_operation": "sea",
"lead_type": "string",
"load_type": "string",
"service_type": "string",
"incoterm": "string",
"ppcc": "string",
"ext_reference": "string",
"contract_no": "string",
"due_date": "string",
"pickup_date": "string",
"delivery_date": "string",
"has_flexible_dates": true,
"notes": "string",
"commodity_notes": "string",
"payment_notes": "string",
"price_curr": "string",
"total_weight": 0,
"total_volume": 0,
"chargeable_weight": 0,
"ladameter": 0,
"origin_place_id": 0,
"origin_place_code": "string",
"origin_place_type": "string",
"origin_address": "string",
"origin_country_id": "string",
"origin_postcode": "string",
"destination_place_id": 0,
"destination_place_code": "string",
"destination_place_type": "string",
"destination_address": "string",
"destination_country_id": "string",
"destination_postcode": "string",
"dry20": 0,
"dry40": 0,
"hq40": 0,
"other_container_type": "string",
"other_container_count": 0,
"packages_attributes": [
{
"total": 0,
"pack_type": "string",
"pack_code": "string",
"dimension1": 0,
"dimension2": 0,
"dimension3": 0,
"dim_unit": "string",
"brutwg": 0,
"weight_unit": "string",
"volume": 0,
"description": "string",
"loading_notes": "string"
}
],
"lead_vehicles_attributes": [
{
"vehicle_type": "string",
"vehicle_unit": 0,
"weight": 0,
"notes": "string"
}
]
}
}curl --location --request PATCH 'https://demo.modaltrans.com/api/v1/quotes/496602' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"quote": {
"company_no": "string",
"company_taxno": "string",
"company_name": "string",
"company_country_id": "string",
"company_city_name": "string",
"sender_eori": "string",
"sender_name": "string",
"consignee_eori": "string",
"consignee_name": "string",
"saler_name": "string",
"lead_operation": "sea",
"lead_type": "string",
"load_type": "string",
"service_type": "string",
"incoterm": "string",
"ppcc": "string",
"ext_reference": "string",
"contract_no": "string",
"due_date": "string",
"pickup_date": "string",
"delivery_date": "string",
"has_flexible_dates": true,
"notes": "string",
"commodity_notes": "string",
"payment_notes": "string",
"price_curr": "string",
"total_weight": 0,
"total_volume": 0,
"chargeable_weight": 0,
"ladameter": 0,
"origin_place_id": 0,
"origin_place_code": "string",
"origin_place_type": "string",
"origin_address": "string",
"origin_country_id": "string",
"origin_postcode": "string",
"destination_place_id": 0,
"destination_place_code": "string",
"destination_place_type": "string",
"destination_address": "string",
"destination_country_id": "string",
"destination_postcode": "string",
"dry20": 0,
"dry40": 0,
"hq40": 0,
"other_container_type": "string",
"other_container_count": 0,
"packages_attributes": [
{
"total": 0,
"pack_type": "string",
"pack_code": "string",
"dimension1": 0,
"dimension2": 0,
"dimension3": 0,
"dim_unit": "string",
"brutwg": 0,
"weight_unit": "string",
"volume": 0,
"description": "string",
"loading_notes": "string"
}
],
"lead_vehicles_attributes": [
{
"vehicle_type": "string",
"vehicle_unit": 0,
"weight": 0,
"notes": "string"
}
]
}
}'{
"id": 0,
"reference": "string",
"ext_reference": "string",
"status": "string",
"lead_operation": "string",
"lead_type": "string",
"load_type": "string",
"service_type": "string",
"incoterm": "string",
"ppcc": "string",
"company_name": "string",
"sender_name": "string",
"consignee_name": "string",
"saler_name": "string",
"lead_date": "string",
"due_date": "string",
"pickup_date": "string",
"delivery_date": "string",
"total_weight": 0,
"total_volume": 0,
"chargeable_weight": 0,
"ladameter": 0,
"lead_price": "string",
"price_curr": "string",
"origin_address": "string",
"origin_place_name": "string",
"origin_country_id": "string",
"origin_postcode": "string",
"destination_address": "string",
"destination_place_name": "string",
"destination_country_id": "string",
"destination_postcode": "string",
"dry20": 0,
"dry40": 0,
"hq40": 0,
"other_container_type": "string",
"other_container_count": 0,
"notes": "string",
"commodity_notes": "string",
"created_at": "string",
"updated_at": "string",
"packages": [
{
"package_type_code": "string",
"number_of_packages": 0,
"number_of_pieces": "string",
"brut_weight": 0,
"net_weight": 0,
"weight_unit": "string",
"volume": 0,
"volume_unit": "string",
"hs_code": "string",
"container_no": "string",
"dimension": "string",
"description": "string",
"loading_notes": "string"
}
],
"lead_vehicles": [
{
"id": 0,
"vehicle_type": "string",
"vehicle_unit": 0,
"weight": 0,
"notes": "string"
}
],
"leadlines": [
{
"id": 0,
"status": "string",
"title": "string",
"line_type": "string",
"notes": "string",
"total_amount": "string",
"price_curr": "string",
"duration": 0,
"supplier_name": "string",
"carrier_name": "string",
"dep_place_code": "string",
"dep_place_name": "string",
"arv_place_code": "string",
"arv_place_name": "string"
}
]
}